#ifndef FILE_CHOOSER_H
#define FILE_CHOOSER_H

#include <qwidget.h>
#include <qlayout.h>
#include <qlineedit.h>
#include <qpushbutton.h>
#include <qfiledialog.h>

class QLineEdit;
class QPushButton;

class myFileChooser : public QWidget
{
    Q_OBJECT
    
    Q_ENUMS (Mode)
    Q_PROPERTY (Mode mode READ mode WRITE setMode)
    Q_PROPERTY (QString fileName READ fileName WRITE setFileName)

public:
    myFileChooser ( QWidget *parent = 0, const char *name = 0 );
    enum Mode { File, Directory };
    QString fileName() const;
    Mode mode() const;

public slots:
    void setFileName (const QString &fn);
    void setMode (Mode m);
    void setFilter (const QString& flt);

signals:
    void fileNameChanged (const QString &);

private slots:
    void chooseFile();

private:
    QLineEdit *lineEdit;
    QPushButton *button;
    Mode md;
    QString filter;
};
#endif  // FILE_CHOOSER_H
