#ifndef XROBOTS_DIALOG_H
#define XROBOTS_DIALOG_H

#include <qlabel.h>
#include "filechooser.h"

class XRobotsDialog : public QDialog
{
    Q_OBJECT

public:
    XRobotsDialog ( QWidget *parent = 0, const char *name = 0 );
    ~XRobotsDialog();

public slots:
    virtual void launchApp();
    virtual void exitApp();
    virtual void showDoc();
    virtual void showVersion();
    virtual void launchMapEditor();

signals:
    void robotNameChanged ( const QString& );
    void mapNameChanged ( const QString& );

private:
    QLabel          *robotLabel;
    QLabel          *mapLabel;
    myFileChooser   *robotFileChooser;
    myFileChooser   *mapFileChooser;
    QPushButton     *launchButton;
    QPushButton     *exitButton;
    QPushButton     *mapEditButton;
    QPushButton     *helpButton;
    QPushButton     *aboutButton;
};

#endif  // XROBOTS_DIALOG_H
